Bug 1317143 - Black screen on Lenovo Thinkpad Yoga 260 unless using "nolapic" boot option
Black screen on Lenovo Thinkpad Yoga 260 unless using "nolapic" boot option
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
23
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-12 08:20 EST by Jonas Thiem
Modified: 2016-07-04 03:15 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-03 22:57:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonas Thiem 2016-03-12 08:20:39 EST
Description of problem:
Booting on Lenovo Thinkpad Yoga 260 will always lead to an instant black screen, unless using "nolapic" boot option. This affects:

* LiveCD regular mode
* LiveCD simple graphics callback mode
* Installed system booting from hard disk

Version-Release number of selected component (if applicable):
4.4.2

How reproducible:
100%

Steps to Reproduce:
1. Put livecd on usb stick
2. Boot
3. Choose to start the live mode in the grub menu coming up from the live cd

Actual results:
Instant black screen

Expected results:
Works

Additional info:
Comment 1 Jonas Thiem 2016-07-03 21:13:35 EDT
This is now fixed with the latest updated Fedora 24 (the installer disk of Fedora 24 before updating might still suffer from this issue though) - or anything running kernel 4.6 or later, where the issue was fixed
Comment 2 Josh Boyer 2016-07-03 22:57:16 EDT
Thanks for letting us know.
Comment 3 Jonas Thiem 2016-07-04 03:15:33 EDT
(related upstream bug for the curious: https://bugzilla.kernel.org/show_bug.cgi?id=110941 )

Note You need to log in before you can comment on or make changes to this bug.